.saferpay_fields_interface_card #wrapper {
  background-color: #779ff2;
  border-radius: 5px;
}

.saferpay_fields_interface_card #console {
  width: 100%;
  background: black;
  color: white;
  height: 80vh;
  font-family: monospace;
  font-size: 12px;
  display: block;
  margin: 0 auto;
}

.saferpay_fields_interface_card #submit {
  background: #f6a4eb;
  color: white;
  font-weight: 500;
}

.saferpay_fields_interface_card #picture {
  display: flex;
  justify-content: space-evenly;
}

.saferpay_fields_interface_card .card {
  width: 25em;
  position: relative;
  height: 15em;
  perspective: 150em;
  border: 0;
  box-shadow: none;

  &__side {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    backface-visibility: hidden;
    transition: all .6s ease;

    &--back {
      transform: rotateY(180deg);
    }
  }

  &.show-back &__side--front {
    transform: rotateY(-180deg);
  }

  &.show-back &__side--back {
    transform: rotate(0);
  }

  &__description {
    img {
      width: 100%;
    }
  }
  
  &.cvc #marker, &.cardnumber #marker, &.expiration #marker {
    border: 3px solid red;
    position: absolute;
    
  }
}

.saferpay_fields_interface_card .card {
  
@media (min-width: 992px)
{ 
  
  &.cardnumber #marker {
    top: 119px;
    left: 10px;
    width: 329px;
    height: 33px;
  }
  
  &.expiration #marker {
    top: 150px;
    left: 140px;
    width: 80px;
    height: 33px;
  }
  
  &.cvc #marker {
    top: 80px;
    left: 300px;
    width: 33px;
    height: 25px;
  }
}
  
@media (min-width: 768px) and (max-width:991px)
{ 
  
  &.cardnumber #marker {
    top: 111px;
    left: 32px;
    width: 262px;
    height: 33px;
  }
  
  &.expiration #marker {
    top: 137px;
    left: 135px;
    width: 66px;
    height: 33px;
  }
  
  &.cvc #marker {
    top: 76px;
    left: 280px;
    width: 33px;
    height: 25px;
  }
}
}

  
@media (max-width:767px)
{ 
  
  &.cardnumber #marker {
    top: 76px;
    left: 19px;
    width: 196px;
    height: 33px;
  }
  
  &.expiration #marker {
    top: 96px;
    left: 99px;
    width: 48px;
    height: 33px;
  }
  
  &.cvc #marker {
    top: 50px;
    left: 199px;
    width: 33px;
    height: 25px;
  }
}